精华内容
下载资源
问答
  • 首先安装fcitx一、检测是否安装fcitx首先检测是否有fcitx,因为搜狗拼音依赖fcitx> fcitx提示:程序“fcitx”尚未安装。 您可以使用以下命令安装:> sudo apt-get install fcitx-bin二、安装fcitxsudo...
    首先安装fcitx
    一、检测是否安装fcitx
    首先检测是否有fcitx,因为搜狗拼音依赖fcitx
    > fcitx
    提示:
    程序“fcitx”尚未安装。 您可以使用以下命令安装:
    > sudo apt-get install fcitx-bin
     
    二、安装fcitx
    sudo apt-get install fcitx-bin
    相关的依赖库和框架都会自动安装上。
    sudo apt-get install fcitx-table
    安装输入法
    三、配置fcitx
    默认iBus(非常难用),前面我们说过了,安装完fcixt后你尽可以如意地在 键盘输入方式系统 处把它替换为fcitx(如下图)。然后重启Ubuntu。
    四、选择需要的输入法
    点击Ubuntu右上角顶栏的小键盘图标中打开,配置,如下图:
    配置之后,就可以使用拼音输入了。
    五、安装搜狗拼音
    访问搜狗输入法For Linux
    点击立即下载64bit,下载安装文件。
    下载后,双击下载的文件。
    点击安装,输入密码,就可以安装了。安装完成重启Ubuntu。
    重启后,点击右上角小键盘-设置,调整一下输入法顺序。熟悉的输入感觉就来了。
    更改设置,点击输入操作条上的扳手按钮,可以设置皮肤,设置熟悉的习惯,还可以登录个人中心,同步个人词库。
     
     
    展开全文
  • 在实际使用安装python的pip安装 依赖库是非常的便捷的。 而且一般大家使用的都是安装Anaconda 来学习和实践python项目。 我们通常都是直接就是使用 pip install **** 其中****代表就是安装依赖库名或者包名。...

    前言

    声明:python版本3.6,以下讨论的Python也都是适用于3.x版本

    在实际使用安装python的pip安装 依赖库是非常的便捷的。

    而且一般大家使用的都是安装Anaconda 来学习和实践python项目。

    我们通常都是直接就是使用

    pip install ****

    其中****代表就是安装的依赖库名或者包名。

    但是简单的背后就是,我们的最重要的系统盘C盘都是逐渐满了。更关键是你满完之后还不好去删除或者将一些依赖库放在别的盘的路径下,这就是一件非常糟糕的事情了。

    所以今天,为了拯救C盘强迫症的自己,我是必须要好好折腾折腾,将pip install 安装的依赖库和包名都是放在Anaconda(别的盘中)目录下的site-packages中去(全部归到这个类下)。

    总体步骤

    第一步:先查看自己的默认安装路径到底是在哪?列出全局的packages包的安装路径在哪?

    1. 按键(win+R) ->打开cmd命令窗口。

    2.键入

    python -m site

    得到这样的结果:

    sys.path = [
        'C:\\Users\\Administrator',
        'F:\\Anaconda\\python36.zip',
        'F:\\Anaconda\\DLLs',
        'F:\\Anaconda\\lib',
        'F:\\Anaconda',
        'F:\\Anaconda\\lib\\site-packages',
        'F:\\Anaconda\\lib\\site-packages\\win32',
        'F:\\Anaconda\\lib\\site-packages\\win32\\lib',
        'F:\\Anaconda\\lib\\site-packages\\Pythonwin',
    ]
    USER_BASE: 'C:\\Users\\Administrator\\AppData\\Roaming\\Python' (exists)
    USER_SITE: 'C:\\Users\\Administrator\\AppData\\Roaming\\Python\\Python36\\site-packages' (exists)
    ENABLE_USER_SITE: True

    这里有几点说明:

    ①我们看见这里的USER_BASE 和USER_SITE其实就是用户自定义的启用Python脚本和依赖安装包的基础路径。

    ②其中USER_BASE表示就是在C盘这个目录下的Python.exe启动程序路径以及pip,esay-install,markdown等脚本,(我们已经是安装好了Anaconda Python,这个C盘又是什么鬼,不想用它啊),而这个C盘的Python.exe启动程序路径其实就是我们在安装Anaconda的时候一个分身,更准确的说,其实就是简单的Python程序,并不是什么IDE这种级别的可以类似Eclipse这样去操作编译丰富的功能窗口,只是简单类似shell的一样的存在。

    所以要改。

    ③其中的USER_SITE其实就是用户如果调用C盘路径下的python.exe中的脚本pip文件去下载,就会将site-package的默认安装到这个C盘路径下。

    并且大家有时候可能在使用 pip install 命令行安装一些依赖的时候,总是会提示报错“PermissionError:[WinError 5 ] Denied Excess."C"\\......."这样的类似权限拒绝访问,并且提示你无管理员权限的话,使用pip -install ... + [user-site] 这样的字眼。”

    python -m site --user-site

     

    而我自己也曾经试验过了,如果是权限问题拒绝安装访问的话,安装cmd命令提示框中提示的user-site使用方法,就能解决权限安装问题。

     

    所以,user_site其实就是个人的site-packages默认安装路径了。而如果使用的是Anaconda 目录下的Scripts中的pip 安装依赖库或包等,则是安装在Anaconda路径下的site-packages中去。

     

    第二步:确认了是什么原因,那么就要去对应的配置文件改了。

    因为出现了类似以下

     

    sys.path = [
        'C:\\Users\\Administrator',
        'F:\\Anaconda\\python36.zip',
        'F:\\Anaconda\\DLLs',
        'F:\\Anaconda\\lib',
        'F:\\Anaconda',
        'F:\\Anaconda\\lib\\site-packages',
        'F:\\Anaconda\\lib\\site-packages\\win32',
        'F:\\Anaconda\\lib\\site-packages\\win32\\lib',
        'F:\\Anaconda\\lib\\site-packages\\Pythonwin',
    ]
    USER_BASE: 'C:\\Users\\Administrator\\AppData\\Roaming\\Python' (exists)
    USER_SITE: 'C:\\Users\\Administrator\\AppData\\Roaming\\Python\\Python36\\site-packages' (exists)
    ENABLE_USER_SITE: True

    那么肯定是有对应的配置文件去读取的,我们去寻找修改即可。

    cmd命令行窗口下键入:

    python -m site -help

    就会出现

    C:\Users\Administrator>python -m site -help
    F:\Anaconda\lib\site.py [--user-base] [--user-site]
    
    Without arguments print some useful information
    With arguments print the value of USER_BASE and/or USER_SITE separated
    by ';'.
    
    Exit codes with --user-base or --user-site:
      0 - user site directory is enabled
      1 - user site directory is disabled by user
      2 - uses site directory is disabled by super user
          or for security reasons
     >2 - unknown error

    可见,管理这个文件竟然就是Anaconda目录下的site.py文件,之前说C盘中的Python是它的分身还真没说错了。

    找到

    F:\Anaconda\lib\site.py

    ,修改其中的参数

     

    实际修改这两个就好了。

    注意

    USER_SITE = "F:\Anaconda\lib\site-packages"

    这个是你要安装下载的site-packages的路径。

     

    而执行下载的pip等脚本路径是由USER_BASE决定,并且一定一定要换到同样的有pip脚本的路径下,哪怕你路径也请写到

    F:\Anaconda

    当然这里最好写成

    USER_BASE = "F:\Anaconda\Scripts"

    可以看见Scripts就是这些执行程序和脚本位置了。

    第三步:测试安装,保证你修改之后成功有效。

    测试键入

    pip install numpy

    出现,在这个路径下其实已经拥有了满足的依赖包和库了(之前已经安装过了,今天只是将步骤总结下),所以证明是修改成功了。

    以上。

    版权声明:本文为博主自主原创,谢绝转载。https://blog.csdn.net/mukvintt/article/details/80908951

    展开全文
  • Maven安装依赖

    千次阅读 2017-02-17 22:35:01
    Maven安装依赖 安装本地依赖及私服依赖安装

    Maven安装依赖

    环境信息:
    Linux:CentOS release 6.5 (Final)
    Nexus:2.14.2-01
    Windows:Windows 7
    Maven:3.2.3

    1、本地安装依赖

    1.1、下载

    通过下载地址,下载合适的Maven文件

    1.2、配置环境变量

    新建系统变量MAVEN_HOME变量值:D:\apache-maven-3.2.3
    编辑系统变量Path添加变量值:;%MAVEN_HOME%\bin
    在CMD中通过mvn –version命令,检查是否配置正确

    1.3、安装依赖到本地

    通过如下命令来安装依赖

    mvn install:install-file -DgroupId=com.zeroc -DartifactId=ice -Dversion=3.4.1 -Dpackaging=jar -Dfile=C:\Users\Administrator\Desktop\ice-3.4.1.jar

    2、私服上安装依赖

    步骤1:
    upload-Artiface
    步骤2:
    upload-Artiface2

    展开全文
  • npm安装依赖与删除依赖

    千次阅读 2019-07-24 09:18:30
    npm安装依赖 【npm install xxx】利用 npm 安装xxx依赖到当前命令行所在目录 【npm install xxx -g】利用npm安装全局依赖xxx 【npm install xxx –save】 安装并写入package.json的”dependencies”中 【npm install...

    npm uninstall XXX -S 卸载XXX依赖

    npm安装依赖
    【npm install xxx】利用 npm 安装xxx依赖到当前命令行所在目录
    【npm install xxx -g】利用npm安装全局依赖xxx
    【npm install xxx –save】 安装并写入package.json的”dependencies”中
    【npm install xxx –save-dev】安装并写入package.json的”devDependencies”中

    npm删除依赖
    【npm uninstall xxx】删除xxx依赖
    【npm uninstall xxx -g】删除全局依赖xxx

    删除本地模块时你应该思考的问题:是否将在package.json上的相应依赖信息也消除?

    npm uninstall 模块:删除模块,但不删除模块留在package.json中的对应信息

    npm uninstall 模块 --save 删除模块,同时删除模块留在package.json中dependencies下的对应信息

    npm uninstall 模块 --save-dev 删除模块,同时删除模块留在package.json中devDependencies下的对应信息

    原文:http://www.cnblogs.com/penghuwan/p/6973702.html

    展开全文
  • vue 安装依赖及卸载依赖

    万次阅读 2019-03-20 17:44:38
    参考链接:... --save 是在package.json的【dependencies】里面 --save-dev是在package.json的【devDependencies】里面 依赖安装在package.json的【dependencies】的三种方式 np...
  • 解决国内NPM安装依赖速度慢问题

    万次阅读 多人点赞 2016-08-03 19:25:09
    不知道各位是否遇到这种情况,使用NPM(Node.js包管理工具)安装依赖时速度特别慢,为了安装Express,执行命令后两个多小时都没安装成功,最后只能取消安装,笔者20M带宽,应该不是我网络的原因,后来在网上找了好久...
  • 安装DEB包同时安装依赖文件

    千次阅读 2017-06-17 12:21:02
    在安装deb文件的时候,采用`dpkg -i`方式安装的时候,不能同时安装依赖文件。之后可以采用`apt-get -f install`进一步安装或者采用`gdebi`的方式安装debi包的同时安装依赖文件。
  • npm使用淘宝镜像安装依赖

    万次阅读 2020-09-10 09:16:35
    npm install --registry=https://registry.npm.taobao.org
  • GO安装依赖

    千次阅读 2019-12-14 17:36:32
    go 安装依赖包一般会通过四种路径 1. github.com/ 2. golang.org/ 3. gopkg.in/ 4. honnet.co/ ~~ 比如我们可以通过 go get github.com/xxx 来下载安装包 下载好之后, 通过 go install github.com/xxx 来安装包 ...
  • npm install 安装依赖报错解决

    万次阅读 2019-03-01 15:49:27
    1.先清除缓存 ...3.安装淘宝镜像cnpm,用cnpm来安装依赖 npm install -g cnpm --registry=https://registry.npm.taobao.org 4.最后再执行 cnpm install NPM介绍: NPM(节点包管理器)是的Node...
  • Centos7离线安装依赖

    千次阅读 2019-11-27 22:07:37
    Centos7离线安装依赖包 文章目录Centos7离线安装依赖包1.下载依赖包1.1 使用yum install --downloadonly下载安装包及其依赖1.2使用yumdownloader下载安装包及其依赖2.安装下载好的依赖包参考地址 1.下载依赖包 1.1 ...
  • yarn之安装依赖

    千次阅读 2018-02-01 21:05:00
    安装依赖关系 yarn install用于安装项目的所有依赖项。依赖关系从您的项目package.json文件中检索,并存储在yarn.lock文件中。 开发包时,安装依赖关系最常见的是在 您刚刚检出了需要这些依赖项的项目的代码。 ...
  • vue安装依赖出错

    千次阅读 2018-11-20 09:43:39
    给项目安装依赖npm install  发现node-sass版本太低,不符合nodejs的版本环境。 注:npm install命令没有指定任何模块,这是因为npm在默认情况下会查找一个package.json文件,当你需要额外的模块式,将那些模块...
  • composer安装依赖

    千次阅读 2018-09-19 14:47:16
    安装依赖包 要开始在你的项目中使用 Composer,你只需要一个 composer.json 文件。该文件包含了项目的依赖和其它的一些元数据。 获取定义的依赖到你的本地项目,只需要调用 composer.phar 运行 install 命令...
  • 在根目录下创建依赖文件: pip freeze > ./requirements.txt 使用依赖文件安装依赖库 pip install -r requirements.txt 注:依赖文件名可以是任何合法名称 ...
  • npm安装依赖至指定版本的方法

    万次阅读 2018-05-07 00:40:12
    本文介绍npm安装依赖至指定版本的方法。依赖的版本可以在淘宝镜像或官方查询到. 三种方法 方法一 先在package.json里修改好指定版本号,然后输入: npm update webpack 方法二 npm update webpack@...
  • 把vue项目打包,移植到其他地方或者其他电脑上运行开发时往往会发生运行报错,安装依赖报错 一、node_modules版本与本机安装的node和npm版本不一致 我这里是已经修改过了,所以一样,如果版本不一样就修改为一致...
  • npm安装依赖的位置设置

    万次阅读 2018-12-03 10:42:33
    npm 依赖安装 npm 全局安装依赖位置默认是c盘,c盘一般是系统安装盘,装太多东西容易造成系统运行缓慢,因此想将依赖包安在指定位置。 nodejs的安装 nodejs的安装可以直接到菜鸟教程查看: ...nodejs的安装包下载位置:...
  • Ubuntu18.04安装依赖包的方法

    千次阅读 2020-03-27 17:02:51
    Ubuntu18.04安装依赖包的方法 本人在Ubuntu系统中安装依赖包的过程中遇到了很多问题,第一次安装了十几个依赖包,由于第一次接触Linux系统,很多指令都不熟悉(甚至pip list)一把心酸一把泪,两三天安装好依赖包,...
  • Anaconda pip导出与安装依赖

    千次阅读 2019-03-09 09:59:11
    Anaconda导出与安装依赖包 查看所有环境 conda env list 激活环境 activate env_name 导出该环境依赖包 conda env export env_name.yml 安装环境依赖包,需要输入yml文件的路径 conda env create -f d:\env_name....
  • nodejs 异常 未安装依赖

    万次阅读 2018-05-04 10:21:31
    1、nodejs 未安装依赖$ npm run dev> authentication@1.0.0 dev D:\nodejsAndReactPro\nscm_authentication> egg-bin dev'egg-bin' ▒▒▒▒▒ڲ▒▒▒▒ⲿ▒▒▒Ҳ▒▒▒ǿ▒▒▒▒еij▒▒▒▒▒...
  • npm install安装依赖包失败

    千次阅读 2019-04-01 18:58:52
    安装依赖的时候发现这个错误: error If you’re sure you want to delete the entire cache, rerun this command with --force. 解决方案:强制清除缓存 npm cache clean --force 再运行npm install -----对于nod.....
  • Vue(5) npm install 安装依赖一直失败

    万次阅读 2019-01-15 00:04:17
    最近写项目我在执行npm install命令安装依赖包的时候,要么报错,要么就是一直卡在那里,如下: 最后解决方法: ①删除C:\Users\Administrator\AppData\Roaming路径下的npm和npm-cache2个文件夹 ②执行命令 ...
  • vuex源码 安装依赖问题

    千次阅读 2017-11-08 10:29:51
    今天下载vuex源码时 安装依赖出现以下问题> chromedriver@2.32.3 install /Users/bao/Desktop/vue-store/vuex/node_modules/chromedriver > node install.jsDownloading ...
  • vue安装依赖包时提示core.js安装失败

    千次阅读 2019-04-01 15:26:36
    问题:git上拉下代码,npm i安装依赖包完成后,报错,安装core.js的一些文件失败; 原因:我遇到的是版本问题; 解决:将core-js的版本由3.0.0换成2.6.5,安装成功,项目成功启动; "dependencies": { “axios”: ...
  • Linux下Oracle11g安装依赖包版本问题

    千次阅读 2020-05-15 11:12:15
    现在CentOS的版本越来越高,很多服务器都采用了7.0以上的版本,而有时候我们安装Oracle寻求稳定,则会选择比较低的版本进行安装,此时以Oracle11g安装在CentOS7.7上举例,安装时会出现Oracle安装依赖包检测不通过的...
  • npm 安装依赖时出现错误

    千次阅读 2018-11-02 13:53:34
    笔者在进行学习webpack学习实践的时候,使用npm命令进行依赖安装时,总是遇到以下错误,笔者一...执行以下命令后再执行安装依赖就不报错误啦 $ npm set registry https://registry.npm.taobao.org/ OR $ yarn con...
  • vue项目之前一直运行正常,今天运行时执行npm run dev报错,把项目目录下的node_modules文件夹删掉,重新执行npm install安装依赖,也一直报错,试了好几次npm install 和 cnpm install命令都不行,最后通过先清除...
  • 使用cnpm install安装依赖包的坑

    千次阅读 2019-07-22 08:59:26
    最近在项目中遇到一个很奇怪的问题,使用cnpm install安装依赖导致部分el-input生成的input输入框无法输入的问题
  • python导出依赖与安装依赖

    千次阅读 2019-07-09 09:46:13
    在python里,各种库的依赖关系一定要弄懂,这样发布项目时才会让人能很好的clone并运行 这里有两个很关键的命令: pip freeze > requirements.txt 这句dos命令需要用的好,这个可以导出当前开发环境的依赖,...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 139,886
精华内容 55,954
关键字:

安装依赖